// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.
#ifdef IMPOSTER_BAKER
#pragma once
#include "CoreMinimal.h"
#include "IDetailCustomization.h"
#include "Input/Reply.h"

class FImpostorGeneratorHelperActorCustomization : public IDetailCustomization
{
public:
	static TSharedRef<IDetailCustomization> MakeInstance();

	// IDetailCustomization interface
	virtual void CustomizeDetails(IDetailLayoutBuilder& DetailLayout) override;
	
	static FReply HandleUpdate(IDetailLayoutBuilder* DetailBuilder);
	static FReply HandleBuild(IDetailLayoutBuilder* DetailBuilder);
	// End of IDetailCustomization interface

protected:
	FImpostorGeneratorHelperActorCustomization();

	TArray<FName> CategoriesToHide;
};
#endif